Package com.enonic.xp.content

## Class PushContentParams

- java.lang.Object
- - com.enonic.xp.content.PushContentParams

-     @PublicApi
      public class PushContentParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PushContentParams.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PushContentParams.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `ContentIds` | `getContentIds()` |
    `ContentPublishInfo` | `getContentPublishInfo()` |
    `DeleteContentListener` | `getDeleteContentListener()` |
    `ContentIds` | `getExcludeChildrenIds()` |
    `ContentIds` | `getExcludedContentIds()` |
    `String` | `getMessage()` |
    `PushContentListener` | `getPublishContentListener()` |
    `Branch` | `getTarget()` | Deprecated.
    `int` | `hashCode()` |
    `boolean` | `isIncludeChildren()` | Deprecated.
    `boolean` | `isIncludeDependencies()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static PushContentParams.Builder create()

    - #### getContentIds

          public ContentIds getContentIds()

    - #### getExcludedContentIds

          public ContentIds getExcludedContentIds()

    - #### getTarget

          @Deprecated
          public Branch getTarget()

      Deprecated.

    - #### getContentPublishInfo

          public ContentPublishInfo getContentPublishInfo()

    - #### isIncludeChildren

          @Deprecated
          public boolean isIncludeChildren()

      Deprecated.

    - #### getExcludeChildrenIds

          public ContentIds getExcludeChildrenIds()

    - #### isIncludeDependencies

          public boolean isIncludeDependencies()

    - #### getPublishContentListener

          public PushContentListener getPublishContentListener()

    - #### getDeleteContentListener

          public DeleteContentListener getDeleteContentListener()

    - #### getMessage

          public String getMessage()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`